Subject: Re: improving WG operation

From: Yakov Rekhter <[email-masked]>
Date: Mon, 02 May 2005 13:03:39 -0700

Keith,

[clipped...]

> 2. There is a considerable cultural inertia within IETF that largely 
>     dictates how working groups operate, and which is extremely 
>     difficult to change.  For instance, community expectations include:
> 
>   - If there is a BOF held and sufficient constituency identified for
>     a working group, the working group must be chartered.
> 
>   - The working group gets to pick at least some of its own chairs.

Sorry, but I do not think the last bullet is correct. To the contrary, 
(quoting from rfc3710):

   The AD, with the advice of the IESG, is also responsible for
   selecting chairs for the working group which the AD thinks will be up
   to the task.
   
Nowhere it mentioned that the WG "gets to pick at least some of its
own chairs".

Yakov.

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Keith Moore <[email-masked]>
Date: Mon, 2 May 2005 16:06:44 -0400

> Sorry, but I do not think the last bullet is correct. 

I was talking about community expectation, which is not always consistent with
what is written in the RFCs.... just like implementations of networking protocols
are not always consistent with the RFCs.

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 04 May 2005 15:49:53 +0200

(John's long and interesting message severely truncated)

John C Klensin wrote:

> ... We may need
> a way to have an "experimental" or "probationary" WG: to say to
> a group "we don't have much confidence in this, but you are
> welcome to try to run with it and prove us wrong... you get a
> fixed amount of time, after which the assumption is that we are
> going to shut you down unless you have produced enough useful
> results to justify rechartering". 

The option that is often considered today is to charter a WG only
to produce a framework or architecture document (or if we're feeling
unusually courageous, a requirements document). No specifications
can be produced without subsequent rechartering. The charter could
certainly include an explicit decision point for recharter vs. close,
but that's implicit anyway.

I'm not sure what the "probationary" label would give that this
doesn't already achieve.

    Brian

---

From: Joe Touch <[email-masked]>
Date: Thu, 05 May 2005 09:07:45 -0700

> but that's implicit anyway.

Also implicit is that the WG will ignore the edict to focus on the
framework and architecture docs, and begin solution work -within the WG-
as well.

> I'm not sure what the "probationary" label would give that this

The default that the WG closes down unless a case is made after the
framework and architecture docs are presented, rather than the current
apparent default that the WG will be able to recast its charter to fit
the work it has already done on solutions during the probationary phase.

Joe

---

From: Yakov Rekhter <[email-masked]>
Date: Fri, 06 May 2005 09:49:12 -0700

Keith,

> what is written in the RFCs.... just like implementations of networking 
> protocols are not always consistent with the RFCs.

Such situation requires revised RFCs.

So, if there is indeed the IETF community expectation that the WG
gets to pick at least some of its own chairs, then rfc3710 needs
to be revised to reflect this. Which includes *clearly* spelling
out the process by which the WG gets to pick at least some of its
own chairs.

In fact, perhaps some folks from the IESG (e.g., Brian) would comment
on this topic...

Yakov.

---

From: Keith Moore <[email-masked]>
Date: Fri, 6 May 2005 13:56:00 -0400

> to be revised to reflect this.

not necessarily.  a significant part of the community can expect something 
and there still not be rough consensus about it.

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 09 May 2005 15:14:13 +0200

> framework and architecture docs, and begin solution work -within the WG-

If that's implicit, you are also implying that the WG Chair and AD aren't
managing the work adequately.

> the work it has already done on solutions during the probationary phase.

Well, that isn't the default. Actually it's quite hard work to make
that transition and I don't see why you perceive it as the default.
But what you describe (creeping solutionism, and one person's solution
becoming another person's requirement) is a human tendency and I'm
truly doubtful whether a new label will fix it. I don't see any way
but relentless management to keep WGs within their charters.

     Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 09 May 2005 15:32:48 +0200

I'll add to what John wrote below that we did discuss the potential
for another layer of management between ADs and WGs during the
IESG retreat (and that was actually before Keith's message).

It's clear that ADs have discretion to use directorates or
technical advisors, but nobody felt that formalizing this
as an official two-level system would have much benefit. So I
guess we agreed with John.

    Brian

John C Klensin wrote:
> Keith,
> 
> This _is_ going to be a terse reply, since others have covered
> much of what I would have.  But the topics are complex.  Three
> observations...
> 
> (1) My observation about whining had more to do with the general
> tone of many of these discussions, in this round and earlier,
> rather than anything about what you may or may not have said
> specifically.  Please don't take that categorization personally
> or, even generally, as more than a warning about S/N ratios and
> ways to make progress (or the lack thereof).
> 
> (2) We have repeatedly tried variations on this theme.  The
> "area advisor" got that title because the secretariat couldn't
> modify the relevant templates to include both "responsible AD"
> (as we moved to two-AD areas with split, rather than shared,
> responsibility) and the notion of "someone senior who keeps a
> close eye on a WG, advising the chair and WG but reporting to
> the AD".   A different variation might have been called
> "designated leadership developer/coach".   I think these ideas
> have worked well sometimes and not at all in others.  The fact
> that we have tried variations should not imply that we should
> avoid trying another, but may call for some serious thought
> about why the previous attempts have not always worked
> effectively.
> 
> (3) I've commented earlier on my concerns about adding
> intermediate layers of management or review and won't repeat
> those remarks here.
> 
>     john
>  
> 
> --On Saturday, 30 April, 2005 01:40 -0400 Keith Moore
> <[email-masked]> wrote:
> 
> 
>>wow...I keep wanting to make terse replies, but there never
>>seems to be a way to address the subject with a short answer.
>>
>>I'm sorry you see these explanations as whining.  I believe
>>that we have to recognize that part of our problem is how WGs
>>operate before we can be willing to solve that problem.  So I
>>try to describe that problem in a way that people will
>>recognize it.  Maybe people already realize that we have this
>>problem and I don't actually need to illustrate it.
>>
>>As for solutions - I have been thinking about possible
>>solutions for several years.  But I'm much better at protocol
>>engineering than I am at engineering management or social
>>structures, so I don't have much confidence in my ideas for
>>how to solve the problem.
>>
>>Recently I've begun to suspect that a good answer to some of
>>these problems might involve a layer of management between
>>IESG and working groups - a set of people who had
>>responsibility to give some technical oversight to working
>>groups, monitor their progress, and keep the ADs up-to-date on
>>the state of things.  I say "oversight" rather than
>>"direction" because "direction" would be too strong a term.  I
>>don't see the supervisor (let's call him a supervisor for now)
>>...
> 
> 
>

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 09 May 2005 16:40:31 +0200

Jari Arkko wrote:
> Hi Keith,
> 
>>> Keith, you have been advocating a model where the IETF would be 
>>> stricter in allowing what work be taken up, in order to ensure that 
>>> we can actually deliver. But I share the same opinion as John L that 
>>> we should rather try to shape the IETF so that it can deliver what 
>>> the world needs.
>>
>>
>>
>> My primary criterion when arguing whether IETF should or should not 
>> take up a WG was always, in some sense, whether the Internet needed 
>> IETF to be involved in and supporting this effort.  It involved both 
>> an assessment of how much harm would result from a botched design (in 
>> particular, a design that didn't respect the Internet environment and 
>> other protocols on the net), and of whether IETF could expend the 
>> resources necessary to manage the group and whether it could bring the 
>> necessary expertise to the table.  It also involved an assessment of 
>> whether the proposed protocol would actually be of benefit to the 
>> Internet long-term.  
> 
> 
> All good criteria! I would probably add "assessment of whether lack of 
> the protocol would be of
> harm to the Internet long-term" (assuming the protocol falls within our 
> scope, as you correctly
> point out below). Here's an example: a protocol that is within IETF 
> scope, but we suddenly
> stop maintaining it to respond to changing requirements, or open it up 
> to vendor extensions
> without providing good abstractions that maintain interoperability.

This is very close to the IESG's thinking about what we should
and shouldn't charter. The yardstick is RFC 3935. We can always make
mistakes, of course, and we need to think about what work is being done
by other organisations.

    Brian